Skip to main content
Server path: /google-calendar-api-management | Type: Application | PCID required: Yes

Tools

ToolDescription
google-calendar-api-management_add_calendar_to_listInserts an existing calendar into the user’s calendar list.
google-calendar-api-management_create_acl_ruleCreates an access control rule.
google-calendar-api-management_create_calendarCreates a secondary calendar.
google-calendar-api-management_delete_acl_ruleDeletes an access control rule.
google-calendar-api-management_delete_calendarDeletes a secondary calendar. Use calendars.clear for clearing all events on primary calendars.
google-calendar-api-management_get_acl_ruleReturns an access control rule.
google-calendar-api-management_get_calendarReturns metadata for a calendar.
google-calendar-api-management_get_calendar_list_entryReturns a calendar from the user’s calendar list.
google-calendar-api-management_get_colorsReturns the color definitions for calendars and events.
google-calendar-api-management_get_settingReturns a single user setting.
google-calendar-api-management_list_acl_rulesReturns the rules in the access control list for the calendar.
google-calendar-api-management_list_calendarsReturns the calendars on the user’s calendar list.
google-calendar-api-management_list_settingsReturns all user settings for the authenticated user.
google-calendar-api-management_query_free_busyReturns free/busy information for a set of calendars.
google-calendar-api-management_remove_calendar_from_listRemoves a calendar from the user’s calendar list.
google-calendar-api-management_replace_acl_ruleUpdates an access control rule.
google-calendar-api-management_replace_calendarUpdates metadata for a calendar.
google-calendar-api-management_replace_calendar_list_entryUpdates an existing calendar on the user’s calendar list.
google-calendar-api-management_update_acl_ruleUpdates an access control rule. This method supports patch semantics.
google-calendar-api-management_update_calendarUpdates metadata for a calendar. This method supports patch semantics.
google-calendar-api-management_update_calendar_list_entryUpdates an existing calendar on the user’s calendar list. This method supports patch semantics.

google-calendar-api-management_add_calendar_to_list

Inserts an existing calendar into the user’s calendar list. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
colorRgbFormatbooleanNoWhether to use the foregroundColor and backgroundColor fields to write the calendar colors (RGB). If this feature is used, the index-based colorId field will be set to the best matching option automatically. Optional. The default is False.
accessRolestringNoThe effective access role that the authenticated user has on the calendar. Read-only. Possible values are: - “freeBusyReader” - Provides read access to free/busy information. - “reader” - Provides read access to the calendar. Private events will appear to users with reader access, but event details will be hidden. - “writer” - Provides read and write access to the calendar. Private events will appear to users with writer access, and event details will be visible. - “owner” - Provides ownership of the calendar. This role has all of the permissions of the writer role with the additional ability to see and manipulate ACLs.
backgroundColorstringNoThe main color of the calendar in the hexadecimal format “#0088aa”. This property supersedes the index-based colorId property. To set or change this property, you need to specify colorRgbFormat=true in the parameters of the insert, update and patch methods. Optional.
colorIdstringNoThe color of the calendar. This is an ID referring to an entry in the calendar section of the colors definition (see the colors endpoint). This property is superseded by the backgroundColor and foregroundColor properties and can be ignored when using these properties. Optional.
conferencePropertiesobjectNoConference Properties
defaultRemindersobject[]NoThe default reminders that the authenticated user has for this calendar.
deletedbooleanNoWhether this calendar list entry has been deleted from the calendar list. Read-only. Optional. The default is False.
descriptionstringNoDescription of the calendar. Optional. Read-only.
etagstringNoETag of the resource.
foregroundColorstringNoThe foreground color of the calendar in the hexadecimal format “#ffffff”. This property supersedes the index-based colorId property. To set or change this property, you need to specify colorRgbFormat=true in the parameters of the insert, update and patch methods. Optional.
hiddenbooleanNoWhether the calendar has been hidden from the list. Optional. The attribute is only returned when the calendar is hidden, in which case the value is true.
idstringNoIdentifier of the calendar.
kindstringNoType of the resource (“calendar#calendarListEntry”).
locationstringNoGeographic location of the calendar as free-form text. Optional. Read-only.
notificationSettingsobjectNoThe notifications that the authenticated user is receiving for this calendar.
primarybooleanNoWhether the calendar is the primary calendar of the authenticated user. Read-only. Optional. The default is False.
selectedbooleanNoWhether the calendar content shows up in the calendar UI. Optional. The default is False.
summarystringNoTitle of the calendar. Read-only.
summaryOverridestringNoThe summary that the authenticated user has set for this calendar. Optional.
timeZonestringNoThe time zone of the calendar. Optional. Read-only.

google-calendar-api-management_create_acl_rule

Creates an access control rule. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
calendarIdstringYesCalendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the “primary” keyword.
sendNotificationsbooleanNoWhether to send notifications about the calendar sharing change. Optional. The default is True.
etagstringNoETag of the resource.
idstringNoIdentifier of the Access Control List (ACL) rule. See Sharing calendars.
kindstringNoType of the resource (“calendar#aclRule”).
rolestringNoThe role assigned to the scope. Possible values are: - “none” - Provides no access. - “freeBusyReader” - Provides read access to free/busy information. - “reader” - Provides read access to the calendar. Private events will appear to users with reader access, but event details will be hidden. - “writer” - Provides read and write access to the calendar. Private events will appear to users with writer access, and event details will be visible. - “owner” - Provides ownership of the calendar. This role has all of the permissions of the writer role with the additional ability to see and manipulate ACLs.
scopeobjectNoThe extent to which calendar access is granted by this ACL rule.

google-calendar-api-management_create_calendar

Creates a secondary calendar. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
conferencePropertiesobjectNoConference Properties
descriptionstringNoDescription of the calendar. Optional.
etagstringNoETag of the resource.
idstringNoIdentifier of the calendar. To retrieve IDs call the calendarList.list() method.
kindstringNoType of the resource (“calendar#calendar”).
locationstringNoGeographic location of the calendar as free-form text. Optional.
summarystringNoTitle of the calendar.
timeZonestringNoThe time zone of the calendar. (Formatted as an IANA Time Zone Database name, e.g. “Europe/Zurich”.) Optional.

google-calendar-api-management_delete_acl_rule

Deletes an access control rule. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
calendarIdstringYesCalendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the “primary” keyword.
ruleIdstringYesACL rule identifier.

google-calendar-api-management_delete_calendar

Deletes a secondary calendar. Use calendars.clear for clearing all events on primary calendars. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
calendarIdstringYesCalendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the “primary” keyword.

google-calendar-api-management_get_acl_rule

Returns an access control rule. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
calendarIdstringYesCalendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the “primary” keyword.
ruleIdstringYesACL rule identifier.

google-calendar-api-management_get_calendar

Returns metadata for a calendar. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
calendarIdstringYesCalendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the “primary” keyword.

google-calendar-api-management_get_calendar_list_entry

Returns a calendar from the user’s calendar list. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
calendarIdstringYesCalendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the “primary” keyword.

google-calendar-api-management_get_colors

Returns the color definitions for calendars and events. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.

google-calendar-api-management_get_setting

Returns a single user setting. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
settingstringYesThe id of the user setting.

google-calendar-api-management_list_acl_rules

Returns the rules in the access control list for the calendar. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
calendarIdstringYesCalendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the “primary” keyword.
maxResultsintegerNoMaximum number of entries returned on one result page. By default the value is 100 entries. The page size can never be larger than 250 entries. Optional.
pageTokenstringNoToken specifying which result page to return. Optional.
showDeletedbooleanNoWhether to include deleted ACLs in the result. Deleted ACLs are represented by role equal to “none”. Deleted ACLs will always be included if syncToken is provided. Optional. The default is False.
syncTokenstringNoToken obtained from the nextSyncToken field returned on the last page of results from the previous list request. It makes the result of this list request contain only entries that have changed since then. All entries deleted since the previous list request will always be in the result set and it is not allowed to set showDeleted to False. If the syncToken expires, the server will respond with a 410 GONE response code and the client should clear its storage and perform a full synchronization without any syncToken. Learn more about incremental synchronization. Optional. The default is to return all entries.

google-calendar-api-management_list_calendars

Returns the calendars on the user’s calendar list. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
maxResultsintegerNoMaximum number of entries returned on one result page. By default the value is 100 entries. The page size can never be larger than 250 entries. Optional.
minAccessRolestringNoThe minimum access role for the user in the returned entries. Optional. The default is no restriction.
pageTokenstringNoToken specifying which result page to return. Optional.
showDeletedbooleanNoWhether to include deleted calendar list entries in the result. Optional. The default is False.
showHiddenbooleanNoWhether to show hidden entries. Optional. The default is False.
syncTokenstringNoToken obtained from the nextSyncToken field returned on the last page of results from the previous list request. It makes the result of this list request contain only entries that have changed since then. If only read-only fields such as calendar properties or ACLs have changed, the entry won’t be returned. All entries deleted and hidden since the previous list request will always be in the result set and it is not allowed to set showDeleted neither showHidden to False. To ensure client state consistency minAccessRole query parameter cannot be specified together with nextSyncToken. If the syncToken expires, the server will respond with a 410 GONE response code and the client should clear its storage and perform a full synchronization without any syncToken. Learn more about incremental synchronization. Optional. The default is to return all entries.

google-calendar-api-management_list_settings

Returns all user settings for the authenticated user. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
maxResultsintegerNoMaximum number of entries returned on one result page. By default the value is 100 entries. The page size can never be larger than 250 entries. Optional.
pageTokenstringNoToken specifying which result page to return. Optional.
syncTokenstringNoToken obtained from the nextSyncToken field returned on the last page of results from the previous list request. It makes the result of this list request contain only entries that have changed since then. If the syncToken expires, the server will respond with a 410 GONE response code and the client should clear its storage and perform a full synchronization without any syncToken. Learn more about incremental synchronization. Optional. The default is to return all entries.

google-calendar-api-management_query_free_busy

Returns free/busy information for a set of calendars. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
calendarExpansionMaxintegerNoMaximal number of calendars for which FreeBusy information is to be provided. Optional. Maximum value is 50.
groupExpansionMaxintegerNoMaximal number of calendar identifiers to be provided for a single group. Optional. An error is returned for a group with more members than this value. Maximum value is 100.
itemsobject[]NoList of calendars and/or groups to query.
timeMaxstringNoThe end of the interval for the query formatted as per RFC3339.
timeMinstringNoThe start of the interval for the query formatted as per RFC3339.
timeZonestringNoTime zone used in the response. Optional. The default is UTC.

google-calendar-api-management_remove_calendar_from_list

Removes a calendar from the user’s calendar list. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
calendarIdstringYesCalendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the “primary” keyword.

google-calendar-api-management_replace_acl_rule

Updates an access control rule. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
calendarIdstringYesCalendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the “primary” keyword.
ruleIdstringYesACL rule identifier.
sendNotificationsbooleanNoWhether to send notifications about the calendar sharing change. Note that there are no notifications on access removal. Optional. The default is True.
etagstringNoETag of the resource.
idstringNoIdentifier of the Access Control List (ACL) rule. See Sharing calendars.
kindstringNoType of the resource (“calendar#aclRule”).
rolestringNoThe role assigned to the scope. Possible values are: - “none” - Provides no access. - “freeBusyReader” - Provides read access to free/busy information. - “reader” - Provides read access to the calendar. Private events will appear to users with reader access, but event details will be hidden. - “writer” - Provides read and write access to the calendar. Private events will appear to users with writer access, and event details will be visible. - “owner” - Provides ownership of the calendar. This role has all of the permissions of the writer role with the additional ability to see and manipulate ACLs.
scopeobjectNoThe extent to which calendar access is granted by this ACL rule.

google-calendar-api-management_replace_calendar

Updates metadata for a calendar. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
calendarIdstringYesCalendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the “primary” keyword.
conferencePropertiesobjectNoConference Properties
descriptionstringNoDescription of the calendar. Optional.
etagstringNoETag of the resource.
idstringNoIdentifier of the calendar. To retrieve IDs call the calendarList.list() method.
kindstringNoType of the resource (“calendar#calendar”).
locationstringNoGeographic location of the calendar as free-form text. Optional.
summarystringNoTitle of the calendar.
timeZonestringNoThe time zone of the calendar. (Formatted as an IANA Time Zone Database name, e.g. “Europe/Zurich”.) Optional.

google-calendar-api-management_replace_calendar_list_entry

Updates an existing calendar on the user’s calendar list. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
calendarIdstringYesCalendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the “primary” keyword.
colorRgbFormatbooleanNoWhether to use the foregroundColor and backgroundColor fields to write the calendar colors (RGB). If this feature is used, the index-based colorId field will be set to the best matching option automatically. Optional. The default is False.
accessRolestringNoThe effective access role that the authenticated user has on the calendar. Read-only. Possible values are: - “freeBusyReader” - Provides read access to free/busy information. - “reader” - Provides read access to the calendar. Private events will appear to users with reader access, but event details will be hidden. - “writer” - Provides read and write access to the calendar. Private events will appear to users with writer access, and event details will be visible. - “owner” - Provides ownership of the calendar. This role has all of the permissions of the writer role with the additional ability to see and manipulate ACLs.
backgroundColorstringNoThe main color of the calendar in the hexadecimal format “#0088aa”. This property supersedes the index-based colorId property. To set or change this property, you need to specify colorRgbFormat=true in the parameters of the insert, update and patch methods. Optional.
colorIdstringNoThe color of the calendar. This is an ID referring to an entry in the calendar section of the colors definition (see the colors endpoint). This property is superseded by the backgroundColor and foregroundColor properties and can be ignored when using these properties. Optional.
conferencePropertiesobjectNoConference Properties
defaultRemindersobject[]NoThe default reminders that the authenticated user has for this calendar.
deletedbooleanNoWhether this calendar list entry has been deleted from the calendar list. Read-only. Optional. The default is False.
descriptionstringNoDescription of the calendar. Optional. Read-only.
etagstringNoETag of the resource.
foregroundColorstringNoThe foreground color of the calendar in the hexadecimal format “#ffffff”. This property supersedes the index-based colorId property. To set or change this property, you need to specify colorRgbFormat=true in the parameters of the insert, update and patch methods. Optional.
hiddenbooleanNoWhether the calendar has been hidden from the list. Optional. The attribute is only returned when the calendar is hidden, in which case the value is true.
idstringNoIdentifier of the calendar.
kindstringNoType of the resource (“calendar#calendarListEntry”).
locationstringNoGeographic location of the calendar as free-form text. Optional. Read-only.
notificationSettingsobjectNoThe notifications that the authenticated user is receiving for this calendar.
primarybooleanNoWhether the calendar is the primary calendar of the authenticated user. Read-only. Optional. The default is False.
selectedbooleanNoWhether the calendar content shows up in the calendar UI. Optional. The default is False.
summarystringNoTitle of the calendar. Read-only.
summaryOverridestringNoThe summary that the authenticated user has set for this calendar. Optional.
timeZonestringNoThe time zone of the calendar. Optional. Read-only.

google-calendar-api-management_update_acl_rule

Updates an access control rule. This method supports patch semantics. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
calendarIdstringYesCalendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the “primary” keyword.
ruleIdstringYesACL rule identifier.
sendNotificationsbooleanNoWhether to send notifications about the calendar sharing change. Note that there are no notifications on access removal. Optional. The default is True.
etagstringNoETag of the resource.
idstringNoIdentifier of the Access Control List (ACL) rule. See Sharing calendars.
kindstringNoType of the resource (“calendar#aclRule”).
rolestringNoThe role assigned to the scope. Possible values are: - “none” - Provides no access. - “freeBusyReader” - Provides read access to free/busy information. - “reader” - Provides read access to the calendar. Private events will appear to users with reader access, but event details will be hidden. - “writer” - Provides read and write access to the calendar. Private events will appear to users with writer access, and event details will be visible. - “owner” - Provides ownership of the calendar. This role has all of the permissions of the writer role with the additional ability to see and manipulate ACLs.
scopeobjectNoThe extent to which calendar access is granted by this ACL rule.

google-calendar-api-management_update_calendar

Updates metadata for a calendar. This method supports patch semantics. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
calendarIdstringYesCalendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the “primary” keyword.
conferencePropertiesobjectNoConference Properties
descriptionstringNoDescription of the calendar. Optional.
etagstringNoETag of the resource.
idstringNoIdentifier of the calendar. To retrieve IDs call the calendarList.list() method.
kindstringNoType of the resource (“calendar#calendar”).
locationstringNoGeographic location of the calendar as free-form text. Optional.
summarystringNoTitle of the calendar.
timeZonestringNoThe time zone of the calendar. (Formatted as an IANA Time Zone Database name, e.g. “Europe/Zurich”.) Optional.

google-calendar-api-management_update_calendar_list_entry

Updates an existing calendar on the user’s calendar list. This method supports patch semantics. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
calendarIdstringYesCalendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the “primary” keyword.
colorRgbFormatbooleanNoWhether to use the foregroundColor and backgroundColor fields to write the calendar colors (RGB). If this feature is used, the index-based colorId field will be set to the best matching option automatically. Optional. The default is False.
accessRolestringNoThe effective access role that the authenticated user has on the calendar. Read-only. Possible values are: - “freeBusyReader” - Provides read access to free/busy information. - “reader” - Provides read access to the calendar. Private events will appear to users with reader access, but event details will be hidden. - “writer” - Provides read and write access to the calendar. Private events will appear to users with writer access, and event details will be visible. - “owner” - Provides ownership of the calendar. This role has all of the permissions of the writer role with the additional ability to see and manipulate ACLs.
backgroundColorstringNoThe main color of the calendar in the hexadecimal format “#0088aa”. This property supersedes the index-based colorId property. To set or change this property, you need to specify colorRgbFormat=true in the parameters of the insert, update and patch methods. Optional.
colorIdstringNoThe color of the calendar. This is an ID referring to an entry in the calendar section of the colors definition (see the colors endpoint). This property is superseded by the backgroundColor and foregroundColor properties and can be ignored when using these properties. Optional.
conferencePropertiesobjectNoConference Properties
defaultRemindersobject[]NoThe default reminders that the authenticated user has for this calendar.
deletedbooleanNoWhether this calendar list entry has been deleted from the calendar list. Read-only. Optional. The default is False.
descriptionstringNoDescription of the calendar. Optional. Read-only.
etagstringNoETag of the resource.
foregroundColorstringNoThe foreground color of the calendar in the hexadecimal format “#ffffff”. This property supersedes the index-based colorId property. To set or change this property, you need to specify colorRgbFormat=true in the parameters of the insert, update and patch methods. Optional.
hiddenbooleanNoWhether the calendar has been hidden from the list. Optional. The attribute is only returned when the calendar is hidden, in which case the value is true.
idstringNoIdentifier of the calendar.
kindstringNoType of the resource (“calendar#calendarListEntry”).
locationstringNoGeographic location of the calendar as free-form text. Optional. Read-only.
notificationSettingsobjectNoThe notifications that the authenticated user is receiving for this calendar.
primarybooleanNoWhether the calendar is the primary calendar of the authenticated user. Read-only. Optional. The default is False.
selectedbooleanNoWhether the calendar content shows up in the calendar UI. Optional. The default is False.
summarystringNoTitle of the calendar. Read-only.
summaryOverridestringNoThe summary that the authenticated user has set for this calendar. Optional.
timeZonestringNoThe time zone of the calendar. Optional. Read-only.